# Check transfer object

The check transfer object represents the current state of a single check transfer initiated by or received by Column. Check transfers are used to send and receive money over Check 21-Enabled services. The check transfer object exposes all relevant information about the check transfer to developers. Read more about [check transfers here](/checks).

### Object Parameters

- `account_number_id` `string` — ID of the account number that is sending the transfer
- `allow_overdraft` `boolean` — Allow the account to go negative for the transfer. The bank account needs to have `is_overdraftable` enabled with an overdraft reserve account linked to it.
- `attachment_document_id` `string` — ID of the document attached to this check transfer.
- `back_image` `string` — Base 64 encoded TIFF image of the back of the deposited check image. This field is not populated in the check transfer object until after the check is deposited.
- `bank_account_id` `string` — ID of the bank account that is sending the transfer
- `check_number` `number` — Sequence number of the check
- `created_at` `date-time` — Date (format: `YYYY-MM-DD` ) on which the check was created.
- `currency_code` `string` — The three-letter currency code defined in ISO 4217. e.g. `USD`
- `delivered_by_column` `boolean` — For an issued check, whether this check is also mailed and delivered by Column
- `delivery_method` `string` — The delivery method for checks delivered by Column. Can be one of `usps_first_class`, `fedex_two_day`, or `fedex_overnight`. Defaults to `usps_first_class`.
- `delivery_status` `string` — The current delivery status for checks delivered by Column. Possible statuses are `created`, `rendered_pdf`, `mailed`, `in_transit`, `in_local_area`, `processed_for_delivery`, `delivered`, `failed`, `rerouted`, and `returned_to_sender`
- `delivery_tracking_number` `string` — The tracking number for this check, if an expedited `delivery_method` is used.
- `delivery_tracking_url` `string` — A URL to track check delivery, if an expedited `delivery_method` is used.
- `deposited_amount` `integer` — Amount (in cents) of the funds that are deposited. e.g. $1.75 would be represented by 175
- `deposited_at` `date-time` — Date (format: `YYYY-MM-DD` ) on which the check is deposited (applies only to check deposited at Column).
- `description` `string` — A description of the transfer visible in account statements
- `external_routing_number` `string` — For an issued check, this is the routing number of the bank of first deposit
- `extracted_payee_name` `string` — The payee name extracted from the ICL file supplied by the bank of first deposit (for Column issued checks only). This can be compared to the payee name on the issued check to detect fraudulently altered checks. Not guaranteed to be accurate.
- `first_return_at` `date-time` — Date (format: `YYYY-MM-DD` ) on which the check is returned for the first time.
- `front_image` `string` — Base 64 encoded TIFF image of the front of the deposited check image. This field is not populated in the check transfer object until after the check is deposited.
- `id` `string` — The unique ID of the object
- `idempotency_key` `string` — The idempotency key specified in the check transfer
- `is_preview_pdf_available` `boolean` — For a check delivered by Column, whether the preview PDF is ready to be downloaded
- `issued_at` `date-time` — Date (format: `YYYY-MM-DD` ) at which the check was issued.
- `lockbox_id` `string` — ID of the lockbox this check transfer was deposited from.
- `manual_review_at` `date-time` — Date (format: `YYYY-MM-DD` ) at which the check transfer went into manual review.
- `memo` `string` — Memo on the check. Only available for checks delivered by Column.
- `message` `string` — Message to the payee. Only available for checks delivered by Column.
- `micr_line` `object` — The MICR line is the sequence of numbers and characters at the bottom of a check
  - `amount_field` `string` — Amount field (up to 10 characters)
  - `auxiliary_on_us` `string` — Auxiliary on-us field (up to 15 characters)
  - `external_processing_code` `string` — External processing code (up to 1 character)
  - `on_us` `string` — On-us field (up to 20 characters)
  - `payor_bank_routing_number` `string` — Payor bank ABA routing number (up to 9 characters)
- `payee_address` `object` — The receiving address of the check. Only available for checks delivered by Column.
  - `city` `string` — City name
  - `country_code` `string` — Two-letter ISO 3166-1 alpha-2 country code (e.g. `US`)
  - `line_1` `string` — Street address line 1
  - `line_2` `string` — Street address line 2
  - `postal_code` `string` — Postal or ZIP code
  - `state` `string` — State or province
- `payee_company` `string` — Company name of the payee. Only available for checks delivered by Column.
- `payee_name` `string` — The name of the person who is receiving the check
- `pending_deposit_at` `date-time` — Date (format: `YYYY-MM-DD` ) on which the check was pending deposit.
- `pending_first_return_at` `date-time` — Date (format: `YYYY-MM-DD` ) on which the check was pending first return.
- `pending_stop_at` `date-time` — Date (format: `YYYY-MM-DD` ) on which the check was stopped.
- `pending_user_initiated_return_at` `date-time` — Date (format: `YYYY-MM-DD` ) on which the user initiates the return.
- `positive_pay_amount` `integer` — Amount (in cents) of the issued check that will be used in positive pay validation if account number is provided. e.g. $1.75 would be represented by 175.
- `reclear_at` `date-time` — Date (format: `YYYY-MM-DD` ) on which the check was recleared.
- `rejected_at` `date-time` — Date (format: `YYYY-MM-DD` ) on which the check was rejected.
- `returned_at` `date-time` — Date (format `YYYY-MM-DD`) on which the check was returned
- `returns` `array of objects` — List of check returns associated with the check transfer
  - `cancelled_at` `date-time` — Date (format: `YYYY-MM-DD` ) on which the check return was cancelled.
  - `check_transfer_id` `string` — ID of the check transfer that has been returned
  - `created_at` `date-time` — Date (format: `YYYY-MM-DD` ) on which the check return was created.
  - `id` `string` — The unique id of the check return object
  - `pending_review_at` `date-time` — Date (format: `YYYY-MM-DD` ) on which the check return was flagged for review.
  - `processed_at` `date-time` — Date (format: `YYYY-MM-DD` ) on which the check return was processed.
  - `return_reason` `string` — The reason for which the check was returned
  - `status` `string` — The current status of the check return. Possible statuses are `scheduled` and `processed`
  - `updated_at` `date-time` — The timestamp at which the check return was last updated
- `second_return_at` `date-time` — Date (format: `YYYY-MM-DD` ) on which the check was returned for the second time.
- `settled_at` `date-time` — Date (format: `YYYY-MM-DD` ) on which the check was settled.
- `status` `string` — The current status of the check transfer. Possible statuses are `initiated`, `issued`, `manual_review`, `rejected`, `pending_deposit`, `pending_stop`, `deposited`, `stopped`, `pending_first_return`, `pending_second_return`, `first_return`, `pending_reclear`, `recleared`, `second_return`, `settled`, `returned`, `pending_user_initiated_return`, `user_initiated_return_submitted`, `user_initiated_returned`, and `pending_user_initiated_return_dishonored`
- `stopped_at` `date-time` — Date (format: `YYYY-MM-DD` ) on which funds locked for a check in a `pending_stop` state are made available.
- `transfer_batch_id` `string` — ID of the transfer batch this check belongs to.
- `type` `string` — Check transfer type. For checks deposited at Column, this is credit. For checks issued by Column and deposited at another FI, this is debit. Learn more here.
- `updated_at` `date-time` — The timestamp at which the Check transfer was last updated
- `user_initiated_return_dishonored_at` `date-time` — Date (format: `YYYY-MM-DD` ) on which the user initiated return is dishonored.
- `user_initiated_return_submitted_at` `date-time` — Date (format: `YYYY-MM-DD` ) on which the user initiated return is submitted to the Fed.
- `user_initiated_returned_at` `date-time` — Date (format: `YYYY-MM-DD` ) on which the user initiated return is completed.
- `void_date` `string` — Date the check is automatically voided

**Response 200**

```json
{
  "account_number_id": "acno_2Q1ctiJm1NypVqCt8UBC8e4xTfH",
  "allow_overdraft": false,
  "attachment_document_id": "docu_2Q1ctiJm1NypVqCt8UBC8e4xTfH",
  "back_image": null,
  "bank_account_id": "bacc_2Q1ctiJm1NypVqCt8UBC8e4xTfH",
  "check_number": 0,
  "created_at": "2024-01-15T09:30:00Z",
  "currency_code": "USD",
  "delivered_by_column": false,
  "delivery_method": "usps_first_class",
  "delivery_status": "pending",
  "delivery_tracking_number": null,
  "delivery_tracking_url": "https://example.com/callback",
  "deposited_amount": 10000,
  "deposited_at": "2024-01-15T09:30:00Z",
  "description": "Example description",
  "external_routing_number": "021000089",
  "extracted_payee_name": "Example extracted payee name",
  "first_return_at": "2024-01-15T09:30:00Z",
  "front_image": null,
  "id": "chkt_2Q1ctiJm1NypVqCt8UBC8e4xTfH",
  "idempotency_key": "2Q1ctiJm1NypVqCt8UBC8e4xTfH",
  "is_preview_pdf_available": false,
  "issued_at": "2024-01-15T09:30:00Z",
  "lockbox_id": "lo_2Q1ctiJm1NypVqCt8UBC8e4xTfH",
  "manual_review_at": "2024-01-15T09:30:00Z",
  "memo": null,
  "message": null,
  "micr_line": {},
  "payee_address": {
    "city": "San Francisco",
    "country_code": "US",
    "line_1": "101 Market St",
    "line_2": "Suite 1913",
    "postal_code": "94105",
    "state": "CA"
  },
  "payee_company": "Acme Corp",
  "payee_name": "Example payee name",
  "pending_deposit_at": "2024-01-15T09:30:00Z",
  "pending_first_return_at": "2024-01-15T09:30:00Z",
  "pending_stop_at": "2024-01-15T09:30:00Z",
  "pending_user_initiated_return_at": "2024-01-15T09:30:00Z",
  "positive_pay_amount": 10000,
  "reclear_at": "2024-01-15T09:30:00Z",
  "rejected_at": "2024-01-15T09:30:00Z",
  "returned_at": "2024-01-15T09:30:00Z",
  "returns": [
    {
      "cancelled_at": "2024-01-15T09:30:00Z",
      "check_transfer_id": "chkt_2Q1ctiJm1NypVqCt8UBC8e4xTfH",
      "created_at": "2024-01-15T09:30:00Z",
      "id": "chkt_2Q1ctiJm1NypVqCt8UBC8e4xTfH",
      "pending_review_at": "2024-01-15T09:30:00Z",
      "processed_at": "2024-01-15T09:30:00Z",
      "return_reason": "R01",
      "status": "pending",
      "updated_at": "2024-01-15T09:30:00Z"
    }
  ],
  "second_return_at": "2024-01-15T09:30:00Z",
  "settled_at": "2024-01-15T09:30:00Z",
  "status": "pending",
  "stopped_at": "2024-01-15T09:30:00Z",
  "transfer_batch_id": "tbat_2Q1ctiJm1NypVqCt8UBC8e4xTfH",
  "type": "CHECKING",
  "updated_at": "2024-01-15T09:30:00Z",
  "user_initiated_return_dishonored_at": "2024-01-15T09:30:00Z",
  "user_initiated_return_submitted_at": "2024-01-15T09:30:00Z",
  "user_initiated_returned_at": "2024-01-15T09:30:00Z",
  "void_date": "2024-01-15"
}
```
